<?

/*
FlexCMS (http://www.flexcms.com)
Flexible, Powerful, Affordable.

Contents of this file are protected by the copyright
notice found at http://www.flexcms.com/flex/pages/copyright.html,
and its usage is subject to the terms of the licensing agreement 
available at http://www.flexcms.com/flex/pages/license.html
*/



	// ========================================================================================
	// edit guestbook entry
	// ========================================================================================
	

	$PageTitle = '<img src="'.$ImagesURL.'/admin/admincp_guestbook.gif" width="22" height="21"> '.$MsgText[6][15];
	$BrowserTitle = $MsgText[6][15];
	$LocationBar = '<a href="'.$IndexURL.'">'.$MsgText[0][1].'</a> > <a href="' . $MainURL . '/options.html">'.$MsgText[0][4].'</a> > <a href="'.$MainURL.'/admin/guestbook_manage.html">'.$MsgText[6][2].'</a> > '.$MsgText[6][15];
	
	if ($LoggedIn == 'y') {
		
		ReadPermissions();
		Global $Permissions;
		
		if ($Permissions[601] == 'y') {
							
		
			$query55 = "select * from `".$Settings['DBPrefix']."gb-Messages` where RecordNumber='".intval($Arguments3)."' limit 1";
			$result55 = mysql_query($query55) or die (mysql_error());
			
			if (mysql_num_rows($result55) > 0) {
				
	
				$row55 = mysql_fetch_array($result55);
				
				
				$PageContents .= '<br><form action="'.$MainURL.'/admin/guestbook_edit_save" method="post">
				<input type="hidden" name="RecordNumberToEdit" value="'.$row55['RecordNumber'].'">
<b>'.$MsgText[6][9].':</b><br><input type="text" name="Name" size="25" maxlength="255" value="'.str_replace('"','&#'.'34;',$row55['Name']).'">
<br><br>
<b>'.$MsgText[6][10].':</b><br><textarea name="Message" cols="45" rows="4" wrap="virtual">'.str_replace('</','&'.'lt;/',$row55['Message']).'</textarea>
<br><br><br>
	<input type="checkbox" name="Approved" value="1" checked> '.$MsgText[6][31].'
<br><br>
<input type="submit" value="'.$MsgText[0][123].'">
</form>';
				
		
			}
			else {
				$PageContents .= '<br>['.$MsgText[6][14].']<br>';
			}
			
			
		}
		else {
		
			$PageContents = $MsgText[0][97];
		
		}

	}
	else {
	
		RedirectToLogin();
	
	}
		


?>
